org.apache.tinkerpop.gremlin.hadoop.structure.io.script

## Class ScriptInputFormat

- java.lang.Object
- - <any>
  - - org.apache.tinkerpop.gremlin.hadoop.structure.io.CommonFileInputFormat
    - - org.apache.tinkerpop.gremlin.hadoop.structure.io.script.ScriptInputFormat

- All Implemented Interfaces:
    GraphFilterAware, HadoopPoolsConfigurable

      public final class ScriptInputFormat
      extends CommonFileInputFormat

  ScriptInputFormat and `ScriptOutputFormat` take an arbitrary script and use that script to either read or write `Vertex` objects, respectively. This can be considered the most general InputFormat/OutputFormat possible in that Hadoop-Gremlin uses the user provided script for all reading/writing.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Daniel Kuppitz (http://gremlin.guru)
  See Also:
    Script I/O Format Reference Documentation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptInputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<any>` | `createRecordReader(InputSplit split, TaskAttemptContext context)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.hadoop.structure.io.CommonFileInputFormat

      `isSplitable, setGraphFilter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.hadoop.structure.io.HadoopPoolsConfigurable

      `getConf, setConf`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.hadoop.structure.io.GraphFilterAware

      `storeGraphFilter`

- - ### Constructor Detail

    - #### ScriptInputFormat

          public ScriptInputFormat()

  - ### Method Detail

    - #### createRecordReader

          public <any> createRecordReader(InputSplit split,
                                          TaskAttemptContext context)
                                   throws IOException,
                                          InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.